Loading...
Searching...
No Matches
XrdOfsChkPnt.cc File Reference
`#include <fcntl.h>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstring>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include "XrdOfs/XrdOfsChkPnt.hh"`
`#include "XrdOfs/XrdOfsConfigCP.hh"`
`#include "XrdOss/XrdOss.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucIOVec.hh"`
`#include "XrdOuc/XrdOucString.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
Include dependency graph for XrdOfsChkPnt.cc:

Go to the source code of this file.

## Macros

#define | ENODATA ENOATTR

## Variables

XrdSysError | OfsEroute
XrdOss * | XrdOfsOss

## Macro Definition Documentation

## ENODATA

#define ENODATA ENOATTR

Definition at line 48 of file XrdOfsChkPnt.cc.

Referenced by XrdOfs::chksum(), XrdPssCks::Get(), XrdOucUtils::getFile(), XrdSsiRequest::GetResponseData(), XrdOfsChkPnt::Restore(), XrdOfsCPFile::RestoreInfo(), and XrdSecsssKT::Rewrite().

## Variable Documentation

## OfsEroute

XrdSysError OfsEroute

extern

## XrdOfsOss

XrdOss* XrdOfsOss

extern

Definition at line 163 of file XrdOfs.cc.